import 'package:flutter/material.dart';

class GridItem extends StatelessWidget {
  const GridItem({
    Key key,
    @required this.name,
    @required this.iconData,
    this.details,
  }) : super(key: key);

  final String name;
  final IconData iconData;
  final Widget details;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(8.0),
      child: Material(
        elevation: 8,
        borderRadius: BorderRadius.circular(20.0),
        child: FlatButton.icon(
          icon: Icon(iconData),
          label: Text(name),
          onPressed: details == null
              ? null
              : () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (BuildContext context) => details),
                  );
                },
        ),
      ),
    );
  }
}
