import 'package:example_db/data/services/database/database.dart' as db;
import 'package:flutter/material.dart';
import 'package:meta/meta.dart';
import 'package:unify_api/unify.dart';

import '../scaffold/bloc.dart';


@immutable
abstract class LeadsEvent {}

class LeadsCheck extends LeadsEvent {
  LeadsCheck({
    @required this.user,
    @required this.scaffold,
  });

  final ScaffoldBloc scaffold;
  final AccountInfo user;
}

class RefreshLeads extends LeadsEvent {
  RefreshLeads({
    @required this.user,
    @required this.scaffold,
    @required this.context,
  });

  final AccountInfo user;
  final ScaffoldBloc scaffold;
  final BuildContext context;
}

class UpdateLeadDetails extends LeadsEvent{
  UpdateLeadDetails({
    @required this.leadId,
    @required this.user, 
    @required this.userId,
  });

  final String leadId;
  final String userId;
  final AccountInfo user;
}

class UpdateGroupItems extends LeadsEvent{
  UpdateGroupItems({
    @required this.group,
    @required this.user,
  });

  final db.LeadGroup group;
  final AccountInfo user;
}
