import 'package:meta/meta.dart';

@immutable
abstract class NavEvent {}

class NavPopEvent<T> extends NavEvent {
  NavPopEvent({this.result});

  final T result;

  @override
  String toString() => 'NavPopEvent { result: $result }';
}

class NavMaybePopEvent<T> extends NavEvent {
  NavMaybePopEvent({this.result});

  final T result;

  @override
  String toString() => 'NavMaybePopEvent { result: $result }';
}

class NavPushEvent<T> extends NavEvent {
  NavPushEvent(
    this.route, {
    this.args,
  });

  final String route;
  final Map<String, dynamic> args;

  @override
  String toString() => 'NavPushEvent { route: $route, args : $args }';
}
