import 'dart:async';
import 'package:bloc/bloc.dart';
import 'package:flushbar/flushbar.dart';
import 'package:flutter/material.dart';
import './bloc.dart';

class ScaffoldBloc extends Bloc<ScaffoldEvent, ScaffoldKeyState> {
  ScaffoldBloc(this.scaffoldKey);

  final GlobalKey<ScaffoldState> scaffoldKey;

  @override
  ScaffoldKeyState get initialState => InitialScaffoldState();

  @override
  Stream<ScaffoldKeyState> mapEventToState(
    ScaffoldEvent event,
  ) async* {
    if (event is ShowSnakBar) {
      Flushbar(
        messageText: Text(event.message,
            textAlign: TextAlign.center, style: TextStyle(color: Colors.white)),
        duration: event.duration,
        flushbarPosition: FlushbarPosition.TOP,
        flushbarStyle: FlushbarStyle.GROUNDED,
        animationDuration: Duration(milliseconds: 500),
      ).show(event.context);
    }
    if (event is ShowMenu) {
      scaffoldKey.currentState.openDrawer();
    }
    if (event is ShowEndMenu) {
      scaffoldKey.currentState.openEndDrawer();
    }
    if (event is ShowBottomSheet) {
      scaffoldKey.currentState.showBottomSheet((_) => event.child);
    }
  }
}
