import 'package:meta/meta.dart';
import 'package:unify_api/tool.dart';

import 'search_bloc.dart';

@immutable
abstract class SearchEvent {}

class TextChanged extends SearchEvent {
  TextChanged({
    @required this.user,
    this.text,
    this.types = const [
      SearchResultType.contacts,
      SearchResultType.leads,
      SearchResultType.loans,
      SearchResultType.alerts,
      SearchResultType.video
    ],
  });

  final String text;
  final List<SearchResultType> types;
  final AccountInfo user;

  @override
  String toString() => 'TextChanged { text: $text }';
}
