import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:unify_api/unify.dart';

class ListLoans extends StatelessWidget {
  ListLoans({Key key, this.loanList}) : super(key: key);

  final List<LoanHistory> loanList;

  final NumberFormat money = NumberFormat.simpleCurrency();


  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Loans'),
      ),
      body: Container(
        child: SafeArea(
          child: SingleChildScrollView(
            child: Column(
              children: <Widget>[
                for(var loan in loanList)...[
                  ListTile(
                    leading: Icon(Icons.folder),
                    title: Text(loan.loanNumber),
                    subtitle: Text('\$${loan.loanAmount}'),
                  )
                ]
              ],
            ),
          ),
        ),
      ),
      
    );
  }
}