import 'package:flutter/material.dart';

import '../../generated/i18n.dart';
import '../theme.dart';
import 'common/favorites.dart';
import 'common/groups.dart';
import 'common/list.dart';
import 'common/tasks.dart';

class ContactsScreen extends StatefulWidget {
  const ContactsScreen({Key key}) : super(key: key);

  static const String routeName = '/contacts';

  @override
  _ContactsScreenState createState() => _ContactsScreenState();
}

class _ContactsScreenState extends State<ContactsScreen> {
  int _currentIndex = 0;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: IndexedStack(
        index: _currentIndex,
        children: <Widget>[
          ContactsListScreen(),
          ContactFavoritesScreen(),
          ContactTasksScreen(),
          ContactGroupsScreen(),
        ],
      ),
      bottomNavigationBar: BottomNavigationBar(
        type: BottomNavigationBarType.fixed,
        backgroundColor: AppColors.bottomAppBarColor(context),
        currentIndex: _currentIndex,
        onTap: (val) {
          if (mounted)
            setState(() {
              _currentIndex = val;
            });
        },
        elevation: 0.0,
        items: [
          BottomNavigationBarItem(
            icon: Icon(Icons.contacts),
            title: Text(I18n.of(context).contactsTitle),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.star_border),
            title: Text(I18n.of(context).contactsFavorites),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.event),
            title: Text(I18n.of(context).contactsTasks),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.group),
            title: Text(I18n.of(context).contactsGroups),
          ),
        ],
      ),
    );
  }
}
