import 'package:flutter/material.dart';

import '../../alerts/screen.dart';
import '../../calendar/screen.dart';
import '../../dashboard/screen.dart';
import '../../search/screen.dart';

class HomeScreenWidget extends StatefulWidget {
  @override
  _HomeScreenWidgetState createState() => _HomeScreenWidgetState();
}

class _HomeScreenWidgetState extends State<HomeScreenWidget> {
  int index = 0;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      bottomNavigationBar: BottomNavigationBar(
        type: BottomNavigationBarType.fixed,
        backgroundColor: Theme.of(context).scaffoldBackgroundColor,
        elevation: 0.0,
        currentIndex: index,
        onTap: (val) {
          if (mounted)
            setState(() {
              index = val;
            });
        },
        items: [
          BottomNavigationBarItem(
            icon: Icon(Icons.dashboard),
            title: Text('Dashboard'),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.event),
            title: Text('Calendar'),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.search),
            title: Text('Search'),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.notifications),
            title: Text('Alerts'),
          ),
          // BottomNavigationBarItem(
          //   icon: Icon(Icons.settings),
          //   title: Text('Settings'),
          // ),
        ],
      ),
      body: IndexedStack(
        index: index,
        children: <Widget>[
          DashboardHomeScreen(),
          CalendarScreen(),
          SearchScreen(),
          NotificationsScreen(),
          // SettingsScreen(),
        ],
      ),
    );
  }
}
