import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';

import '../../data/blocs/auth/auth_bloc.dart';
import '../../data/services/database/database.dart';
import 'common/detailed_screen.dart';
import 'screen.dart';

class LoansCheck extends StatelessWidget {
  final String id;

  const LoansCheck({
    Key key,
    @required this.id,
  }) : super(key: key);
  @override
  Widget build(BuildContext context) {
    final db = GetIt.instance<DatabaseService>();
    final _user = AuthBloc.currentUser(context);
    return StreamBuilder<List<Loan>>(
        stream: db.loansDao.watchLoansById(_user.userID, id),
        builder: (context, snapshot) {
          if (snapshot.hasData) {
            if (snapshot.data.isNotEmpty) {
              return LoanDetailsScreen(
                loan: snapshot.data.first,
              );
            }
          }
          return LoansScreen();
        });
  }
}
