import 'package:flutter/material.dart';

import '../../../data/services/database/dao/loan.dart';

class LoanFilterPopup extends StatefulWidget {
  const LoanFilterPopup({
    Key key,
    @required this.filters,
    @required this.onChanged,
  }) : super(key: key);
  final LoanScope filters;
  final ValueChanged<LoanScope> onChanged;

  @override
  _LoanFilterPopupState createState() => _LoanFilterPopupState();
}

class _LoanFilterPopupState extends State<LoanFilterPopup> {
  LoanScope filters;

  @override
  void initState() {
    filters = widget.filters;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        CheckboxListTile(
          title: Text('First Name'),
          value: filters.firstName,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.firstName = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Last Name'),
          value: filters.lastName,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.lastName = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Email'),
          value: filters.email,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.email = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Cell Phone'),
          value: filters.cellPhone,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.cellPhone = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Home Phone'),
          value: filters.homePhone,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.homePhone = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Office Phone'),
          value: filters.officePhone,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.officePhone = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Loan Milestone'),
          value: filters.loanMilestone,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.loanMilestone = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Loan Rate'),
          value: filters.loanRate,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.loanRate = val;
              });
            widget.onChanged(filters);
          },
        ),
        CheckboxListTile(
          title: Text('Loan Number'),
          value: filters.loanNumber,
          onChanged: (val) {
            if (mounted)
              setState(() {
                filters.loanNumber = val;
              });
            widget.onChanged(filters);
          },
        ),
      ],
    );
  }
}
