part of unify;

class PostalAddress implements UnifyObject {
  PostalAddress(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get street => json["street"];
  String get apartment => json["apartment"];
  String get state => json["state"];
  String get city => json["city"];
  String get zip => json["zip"];
  String get county => json["county"];

  String raw() {
    if (street == null && city == null && state == null && zip == null) {
      return "";
    }
    var _apartment = apartment ?? "";
    return "$street $_apartment $city $state $zip".trim().toString();
  }

  @override
  String toString() {
    if (raw().isEmpty) {
      return "";
    }
    var _apartment = apartment ?? "";
    var _address = "";
    _address += "$street $_apartment".trim();

    bool _city = !(city == null || city.isEmpty);
    bool _state = !(state == null || state.isEmpty);
    bool _zip = !(zip == null || zip.isEmpty);

    String _cityStateZip = "";
    if (_city || _state || _zip) {
      if (_city) {
        _cityStateZip = "$city, $state $zip".trim();
      } else {
        _cityStateZip = "$state $zip".trim();
      }
    }

    if (_cityStateZip.isNotEmpty) {
      _address += "\n";
      _address += _cityStateZip;
    }
    return _address.trim().toString();
  }
}
