part of unify;

class MarketingValidation implements UnifyObject {
  MarketingValidation(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  bool get insertVideo => json["insert_video"];

  /// Number of Contacts/Leads selected for marketing
  int get selected => json["selected"];

  /// Number of Contacts/Leads in a licensed state
  int get licensed => json["in_licensed_state"];

  /// Number of Contacts/Leads with a valid email address
  int get valid => json["valid_emails"];

  /// Contacts/Leads that have opted out
  int get optOut => json["opt_out"];

  /// Number of Exclusive Contacts/Leads
  int get exclusive => json["exclusive"];

  /// Total Campaigns that will be created
  int get campaigns => json["campaigns"];

  List<String> get contactIds => json["contact_ids"] == null
      ? []
      : List?.from(json["contact_ids"])?.map((i) => i as String)?.toList() ??
          [];

  List<String> get leadIds => json["lead_ids"] == null
      ? []
      : List?.from(json["lead_ids"])?.map((i) => i as String)?.toList() ?? [];
}
