import 'package:flutter/material.dart';

class TermsAndConditionsView extends StatelessWidget {
  const TermsAndConditionsView({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    String _text = """
Cross Media, LLC. provides its services to you subject to the following Terms and Conditions. If you visit, use a service, or make purchases at crossmedia-llc.com, Unifyibs.com, or any other web sites (collectively, the "Site", including this one, operated by Cross Media, LLC. ("CML"), you agree to abide by these Terms and Conditions when you use the Site. If you do not agree to these Terms and Conditions of Use, do not use any portion of the Site. Unless specifically stated otherwise, any new features that augment or enhance the current Site or services shall be subject to these Terms and Conditions.

1. Nonexclusive License

We grant you a nonexclusive, nontransferable, limited right to access and display the Site and the material provided herein for personal use, provided that you comply fully with these Terms and Conditions of Use. No portion of the Site may be reproduced, duplicated, copied, sold, resold, visited, or otherwise exploited for any commercial purpose without the express written consent of CML. You may not frame or utilize framing techniques to enclose any trademark, logo, or other proprietary information (including images, text, page layout, or form) of CML without our express written consent. You may not use any meta tags or any other "hidden text" utilizing CML 's name or trademarks without the express written consent of CML . Any unauthorized use terminates the license granted by CML. You are granted a limited, revocable, and nonexclusive right to create a hyperlink to the home page of CrossMedia-LLC.com so long as the link does not portray CML, its affiliates, or their products or services in a false, misleading, derogatory, or otherwise offensive matter. You may not use any CML logo or other proprietary graphic or trademark as part of the link without express written permission.

2. Prohibited Uses

Unauthorized use or modification of any information stored on the Site may result in criminal and/or civil prosecution under Federal, State and local law. You may not use the Site for anything other than a lawful and legitimate business purpose. You agree not to use the Site to (i) promote any unlawful activity or purpose, including without limitation, any activity that could give rise to criminal or civil liability; (ii) carry out any unauthorized alteration of any data or information on or supplied by another user of the Site; or (ii) conduct any activity that infringes on the copyright, patent, trademark, service mark or other rights of any person or entity. You shall not restrict or inhibit any other user from using and enjoying any service conducted on the Site. You are solely responsible for the content of any transmissions you make to the Site or to any CML employee. You agree that you will not send, post or otherwise publish through the Site, any message, material, user name or other communication that : (i) is unlawful, offensive, obscene, vulgar, indecent, pornographic, profane, sexually-oriented, threatening, abusive, false or misleading with respect to origin or fact, slanderous, libelous or defamatory; (ii) impersonates any person or entity; (iii) provides personally identifiable information of any person or entity such as an address or phone number without that person or entity’s permission; (iv) constitutes or encourages the conduct of a criminal offense; (v) gives rise to liability; (vi) promotes the use of controlled substances; (vii) causes injury of any kind to any person or entity; (viii) infringes or violates the intellectual property rights, contract rights, or any other rights of any third party; (ix) contains harmful or malicious components or code designed to interrupt, destroy or limit the functionality of any computer software or hardware or telecommunications equipment; or (x) creates a link to another Site. You agree not to interrupt, or attempt to interrupt, the operation of the Site in any way. You may not advertise or solicit on or through the Site without express written permission. You agree that you will not use the Site for chain letter, junk mail, "spamming," solicitations (commercial or non-commercial) or bulk communications of any kind including, but not limited to, distribution lists to any person who has not given specific permission to be included in such a list.

3. Usage and Monitoring

CML does not regularly review the contents of the material posted to the Site. If you use the Site, you are responsible for maintaining the confidentiality of your account and password and for restricting access to your computer, and you agree to accept responsibility for all activities that occur under your account or password. CML reserves the right to refuse service, terminate accounts, remove or edit content, or cancel orders at its sole discretion. While CML has no obligation to monitor the Site and is not responsible for the content of any messages, information or files transmitted on the Site, CML reserves the right to delete and take other appropriate action with respect to such messages, information or files with which CML , in its sole discretion, deems objectionable or otherwise in violation of these Terms and Conditions, including denying access to the site to anyone at any time. If you do post or submit content, you represent and warrant that you own or otherwise control all of the rights to the content that you submit; that the content is accurate; that use of the content you supply does not violate any rights and will not cause injury to any person or entity; and that you will indemnify CML for all claims resulting from content you supply. If you believe that your material has been copied in a way that constitutes copyright or trademark infringement, please notify us immediately. We reserve the right to distribute free samples of your postcard.

4. Program changes and cancellations

All refunds due as a result of program changes or cancellations issued to a user are given as a credit to their deposit account, which may be used to purchase marketing campaigns or other services. No cash refunds are given. 

5. Privacy

Your use of the Site constitutes your consent to CML 's privacy policy posted at CrossMedia-LLC.com, which is updated from time to time.

6. Unencrypted Customer and Third Party Data

Client shall not provide, transmit, or send to CML, via mail, email, file transfer, website(s), or any other means other than the Unify system itself, any customer data or Client Data in unencrypted or non-password-protected form. Client acknowledges and agrees that Client is responsible for its compliance with this Section of the Agreement, and that CML shall not be liable for any act or omission relating to unencrypted or non-password-protected customer data or Client Data sent by Client to CML pursuant to this Section. Any unencrypted or non-password-protected customer data or Client Data sent by Client to CML is sent entirely at Client’s own risk. CML is not responsible or liable for the privacy of any unencrypted customer data or Client Data provided, transmitted, or sent to CML, nor is CML responsible or liable for the deletion, correction, destruction, damage, disclosure, loss, failure to store, or any other act or omission relating to unencrypted or non-password-protected customer data or Client Data sent by Client to CML.

7. Copyright Ownership

All content included on the Site, including but not limited to text, graphics, photographs, logos, and software, and all derivative rights thereof is the property of CML or its content suppliers and is protected by United States and international copyright laws. Unauthorized copying, reproduction, republishing, uploading, downloading, posting, transmitting or duplicating any of the material is prohibited. CML and its content suppliers do not grant any express or implied rights to you under any patents, copyrights, trademarks or trade secrets.

8. Trademark Ownership

Cross Media™ and other related trademarks and service marks are the property of CML and are protected by United States and international trademark law. They may not be used without the written permission from CML and all rights are reserved.

9. Web Linking

Links may appear on the Site that link to other web sites. These links are provided as a courtesy to our visitors. CML has no control over the linked web sites or other materials, information, goods or services available or contained on these linked sites. CML is not responsible for and does not endorse or guarantee accuracy in any way of such sites. If you decide to access any of the linked sites, you do so entirely at your own risk. CML reserves the right to terminate any link at any time.

10. Purchases

All items purchased from CML are made pursuant to a shipment contract. This means that the risk of loss and title for such items pass to you upon our delivery to the carrier. Risk of loss and title for items that are mailed pass to you upon our delivery to the United States Postal Service. CML does not guarantee delivery by the United States Postal Service.

11. Disclaimer and Limitation of Damages

(a) CML is neither responsible nor liable for any viruses or other contamination of your computer system or other device used to access the Site as a result of your use of the Site. The site (including, without limitation, all content, software, functions, materials and information made available or described on the site or accessed by means thereof) is provided "as is," without representations or warranties of any kind, either express or implied, including, without limitation, any express or implied warranty of merchantability, fitness for a particular purpose, title, compatibility, security, accuracy, or non-infringement. Without limiting the foregoing, CML makes no warranty or representation, either express or implied, that access to or operation of the Site will be uninterrupted or error free. In no event will CML, its suppliers, or any other party involved in creating, producing or delivering the Site's content be liable for the truth, accuracy or completeness of any information on the Site, for errors or mistakes made by humans or machines, or for any actual, special, indirect, incidental or consequential damages that may arise from the use of, or the inability to use, the Site and/or the materials and information contained on or available through the Site. The limitations herein may not apply in certain jurisdictions. (b) Any reliance upon any advice, opinion, statement other information displayed or distributed through the Site is at your sole risk. CML reserves the right, in its sole discretion and without notice to deny access to the Site to anyone at any time. Neither CML nor its affiliates shall have any liability arising from your reliance upon the information provided on the Site. (c) Use of the Site is at your own risk. You assume full responsibility and risk of loss resulting from your downloading and/or use of files, information, other communications, content or other material (including, without limitation, software) accessed through or obtained by means of the Site. (d) We make no guaranty of confidentiality or privacy of any communication or information transmitted on the Site or any site linked to the Site. We will not be liable for the privacy of e-mail addresses, registration and identification information, disk space, communications, confidential or trade-secret information, or any other content stored on our equipment, transmitted over networks accessed by the Site, or otherwise connected with your use of the Site.

12. Indemnification

You agree to indemnify and hold CML and its subsidiaries, affiliates, officers, directors and employees, harmless from any claim or demand, including reasonable attorneys' fees, made by any third party due to or arising out of your use of the Site, violation of these Terms and Conditions, or other infringement by you, or any other user of your member name, of any intellectual property or other right of any person or entity.

13. Applicable Laws

CML operates the Site from its offices in Minnesota and makes no representations that materials in the Site are appropriate or available for use in other locations. Access to the Site from any territory where the content is illegal is prohibited. If you choose to access the Site from other locations, you do so at your own risk and are solely responsible for compliance with any and all applicable laws and regulations. The display of the Site alone does not subject CML to any specific jurisdiction. You may not use or export any of the Site materials in violation of U.S. export laws and regulations. If any of the terms herein shall be deemed invalid, void, or for any reason unenforceable, that condition shall be deemed severable and shall not affect the validity or enforceability of any remaining terms or conditions. Any claim related to the use of the Site or to the Site materials shall be governed by, construed and enforced in accordance with the laws of the State of Minnesota as applied to agreements made and to be performed entirely therein. The parties consent to venue and personal jurisdiction in Minneapolis, Minnesota and any action brought in connection with the Site or Site content shall be brought in either the state or federal courts in Minneapolis, Minnesota. Communications made through the Site's e-mail and messaging system shall in no way be deemed to constitute legal notice to CML or any of its officers, employees, agents or representatives, such as where notice to CML is required by contract, or any federal, state or local laws, rules or regulations.

""";
    return SafeArea(
      child: Container(
        padding: EdgeInsets.all(8.0),
        child: SingleChildScrollView(
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: <Widget>[Text(_text)],
          ),
        ),
      ),
    );
  }
}
